groupwise_init(1)

NAME
groupwise_init - Affine initialization for groupwise registration

SYNOPSIS
groupwise_init [options] image0 [image1 ...]

DESCRIPTION
Compute initial affine alignment for a group of input images, which can be used as an input for groupwise registration

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Main Options

--template <string>, -t <string>
    Input filename for pre-defined template image. [Default: NONE]

--output-root <string>, -O <string>
    Root directory for all output files. [Default: NONE]

--output <string>, -o <string>
    Output filename for groupwise registration archive. [Default: groupwise.xforms ]

--output-average <string>
    Output filename for registered average image. [Default: average.nii ]

--average-cubic
    Use cubic (rather than linear) interpolation for average image.

--no-output-average
    Do not write average image.

--align-centers-of-mass
    Initially align centers of mass rather than centers of bounding boxes.

--init-scales
    Initialize scale factors using first-order moments

--center-template
    Center aligned images in template grid field of view.

--outputtype
    Scalar data type for the output average image. Supported values: "char", "byte", "short", "ushort", "int", "uint", "float", "double", where the default is "float", or use one of the following:

    --char
        8 bits, signed

    --byte
        8 bits, unsigned

    --short
        16 bits, signed

    --ushort
        16 bits, unsigned

    --int
        32 bits signed

    --uint
        32 bits unsigned

    --float
        32 bits floating point [This is the default]

    --double
        64 bits floating point

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.